:root {
    --background-color: #ffffff;
    --color: #2F3436;
    --primary-color: #2F3436;
    --border-color: #cfcfcf;
}

@media (prefers-color-scheme: dark) {
    :root {
        --background-color: #121212;
        --color: #d3d3d3;
        --primary-color: #d3d3d3;
        --border-color: #333333;
    }
}

@font-face {
    font-family: 'Razor Keen';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url('/fonts/razor-keen.ttf') format('truetype');
}

html, body {
    padding: 0;
    margin: 0;
    background-color: var(--background-color);
    color: var(--color);
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    line-height: 1.5;
}

a {
    color: var(--color);
    text-decoration: underline;
    transition: filter 200ms;

    &:hover {
        filter: blur(1px);
    }
}

p {
    margin: 25px 0;
}

/* Fix for Bootstrap's container-fluid class */
.container-fluid {
    box-sizing: border-box;
}

.header {
    border-bottom: 1px solid var(--border-color);
    height: 75px;

    @media (max-width: 992px) {
        height: 100px;
    }
}

.logo-wrapper {
    gap: 15px;
    font-size: 28px;
    font-weight: 600;
    font-family: "Razor Keen";

    @media (max-width: 992px) {
        gap: 10px;
        font-size: 25px;
    }

    .logo-image-wrapper {
        height: 45px;
        width: 45px;
        display: block;

        @media (max-width: 992px) {
            height: 35px;
            width: 35px;
        }

        .logo-image {
            height: 100%;
            width: 100%;
        }
    }

    .logo {
        text-decoration: none !important;
        margin-bottom: -5px;
    }
}

.page-title {
    font-size: 65px;
    font-family: "Razor Keen";
    word-wrap: break-word;
    hyphens: auto;
    margin: 0;
    line-height: 1.4em;
    margin-bottom: 40px;
    padding-top: 10px;
    text-align: center;

    @media (max-width: 992px) {
      font-size: 45px;
    }

    &.no-padding-bottom {
        padding-bottom: 0;
    }
}

.app-block {
    max-width: 450px;
}

.footer {
    border-top: 1px solid var(--border-color);

    .copyright {
        font-size: .8em;
    }

    .footer-menu {
        padding: 0;
        margin: 0;
        display: flex;
        gap: 10px;

        .footer-link {
            font-size: .8em;
            list-style: none;
            opacity: .6;
            transition: opacity 250ms;

            &:hover {
                opacity: 1;
            }
        }
    }
}
